Upstream information

CVE-2017-3141 at MITRE

Description

The BIND installer on Windows uses an unquoted service path which can enable a local user to achieve privilege escalation if the host file system permissions allow this. Affects BIND 9.2.6-P2->9.2.9, 9.3.2-P1->9.3.6, 9.4.0->9.8.8, 9.9.0->9.9.10, 9.10.0->9.10.5, 9.11.0->9.11.1, 9.9.3-S1->9.9.10-S1, 9.10.5-S1.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1044225 [RESOLVED / INVALID], 1044226 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • bind-devel >= 9.11.2-12.8.1
  • bind-utils >= 9.11.2-12.8.1
  • libbind9-160 >= 9.11.2-12.8.1
  • libdns169 >= 9.11.2-12.8.1
  • libirs-devel >= 9.11.2-12.8.1
  • libirs160 >= 9.11.2-12.8.1
  • libisc166 >= 9.11.2-12.8.1
  • libisccc160 >= 9.11.2-12.8.1
  • libisccfg160 >= 9.11.2-12.8.1
  • liblwres160 >= 9.11.2-12.8.1
  • python3-bind >= 9.11.2-12.8.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • bind-devel >= 9.11.2-12.13.2
  • bind-utils >= 9.11.2-12.13.2
  • libbind9-160 >= 9.11.2-12.13.2
  • libdns169 >= 9.11.2-12.13.2
  • libirs-devel >= 9.11.2-12.13.2
  • libirs160 >= 9.11.2-12.13.2
  • libisc166 >= 9.11.2-12.13.2
  • libisccc160 >= 9.11.2-12.13.2
  • libisccfg160 >= 9.11.2-12.13.2
  • liblwres160 >= 9.11.2-12.13.2
  • python3-bind >= 9.11.2-12.13.2
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • bind-devel >= 9.16.6-20.39
  • bind-utils >= 9.16.6-20.39
  • libbind9-1600 >= 9.16.6-20.39
  • libdns1605 >= 9.16.6-20.39
  • libirs-devel >= 9.16.6-20.39
  • libirs1601 >= 9.16.6-20.39
  • libisc1606 >= 9.16.6-20.39
  • libisccc1600 >= 9.16.6-20.39
  • libisccfg1600 >= 9.16.6-20.39
  • libns1604 >= 9.16.6-20.39
  • python3-bind >= 9.16.6-20.39
SUSE Linux Enterprise Module for Basesystem 15
  • bind-devel >= 9.11.2-10.4
  • bind-utils >= 9.11.2-10.4
  • libbind9-160 >= 9.11.2-10.4
  • libdns169 >= 9.11.2-10.4
  • libirs-devel >= 9.11.2-10.4
  • libirs160 >= 9.11.2-10.4
  • libisc166 >= 9.11.2-10.4
  • libisccc160 >= 9.11.2-10.4
  • libisccfg160 >= 9.11.2-10.4
  • liblwres160 >= 9.11.2-10.4
  • python3-bind >= 9.11.2-10.4
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • bind >= 9.11.2-12.8.1
  • bind-chrootenv >= 9.11.2-12.8.1
  • bind-doc >= 9.11.2-12.8.1
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • bind >= 9.11.2-12.13.2
  • bind-chrootenv >= 9.11.2-12.13.2
  • bind-doc >= 9.11.2-12.13.2
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • bind >= 9.16.6-20.39
  • bind-chrootenv >= 9.16.6-20.39
  • bind-doc >= 9.16.6-20.39
SUSE Linux Enterprise Module for Server Applications 15
  • bind >= 9.11.2-10.4
  • bind-chrootenv >= 9.11.2-10.4
  • bind-doc >= 9.11.2-10.4
openSUSE Leap 15.0
  • bind >= 9.11.2-lp150.7.2
  • bind-chrootenv >= 9.11.2-lp150.7.2
  • bind-utils >= 9.11.2-lp150.7.2
  • libbind9-160 >= 9.11.2-lp150.7.2
  • libdns169 >= 9.11.2-lp150.7.2
  • libirs160 >= 9.11.2-lp150.7.2
  • libisc166 >= 9.11.2-lp150.7.2
  • libisccc160 >= 9.11.2-lp150.7.2
  • libisccfg160 >= 9.11.2-lp150.7.2
  • liblwres160 >= 9.11.2-lp150.7.2
  • python3-bind >= 9.11.2-lp150.7.2
Patchnames:
openSUSE Leap 15.0 GA bind-9.11.2-lp150.7.2
openSUSE Tumbleweed
  • bind >= 9.16.20-1.4
  • bind-doc >= 9.16.20-1.4
  • bind-utils >= 9.16.20-1.4
  • python3-bind >= 9.16.20-1.4
Patchnames:
openSUSE Tumbleweed GA bind-9.16.20-1.4


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications bind Not affected
SUSE CaaS Platform 4.0 bind Already fixed
SUSE CaaS Platform 4.5 bind Already fixed
SUSE Enterprise Storage 6 bind Already fixed
SUSE Enterprise Storage 7 bind Already fixed
SUSE Linux Enterprise Desktop 12 SP2 bind Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 bind Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 bind In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS bind Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 bind Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 bind Analysis
SUSE Linux Enterprise Module for Basesystem 15 SP4 bind Analysis
SUSE Linux Enterprise Module for Server Applications 15 SP2 bind Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 bind Analysis
SUSE Linux Enterprise Module for Server Applications 15 SP4 bind Analysis
SUSE Linux Enterprise Server 11 SP1 bind Analysis
SUSE Linux Enterprise Server 11 SP2 bind Not affected
SUSE Linux Enterprise Server 11 SP3 bind Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS bind Not affected
SUSE Linux Enterprise Server 11 SP4 bind Not affected
SUSE Linux Enterprise Server 12 LTSS bind Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS bind Not affected
SUSE Linux Enterprise Server 12 SP2 bind Not affected
SUSE Linux Enterprise Server 12 SP2 BCL bind Analysis
SUSE Linux Enterprise Server 12 SP3 BCL bind Analysis
SUSE Linux Enterprise Server 12 SP4 bind Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS bind In progress
SUSE Linux Enterprise Server 12 SP4 LTSS bind In progress
SUSE Linux Enterprise Server 12 SP5 bind In progress
SUSE Linux Enterprise Server 15 ESPOS bind Already fixed
SUSE Linux Enterprise Server 15 LTSS bind Already fixed
SUSE Linux Enterprise Server 15 SP1 LTSS bind Already fixed
SUSE Linux Enterprise Server 15 SP2 LTSS bind Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 bind Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 bind In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 bind In progress
SUSE Linux Enterprise Server for SAP Applications 15 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 bind Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bind Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP4 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 bind Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 bind Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 bind Affected
SUSE Manager Proxy 4.0 bind Already fixed
SUSE Manager Proxy 4.1 bind Already fixed
SUSE Manager Retail Branch Server 4.0 bind Already fixed
SUSE Manager Retail Branch Server 4.1 bind Already fixed
SUSE Manager Server 4.0 bind Already fixed
SUSE Manager Server 4.1 bind Already fixed
SUSE OpenStack Cloud 9 bind In progress
SUSE OpenStack Cloud Crowbar 9 bind In progress